use criterion::{criterion_group, criterion_main, Criterion};
use my_library_benchmark::*;

pub fn criterion_benchmark(c: &mut Criterion) {
  // My benchmarks go here
  c.bench_function("random", |b| {// (1)
    let mut rng = RandomNumberGenerator::new();// (2)
    b.iter(|| {// (3)
      rng.range(1.0_f32..10_000_000_f32);// (4)
    })
  });
}

criterion_group!(benches, criterion_benchmark);
criterion_main!(benches);
